<h1 mat-dialog-title>New plan</h1>
<div mat-dialog-content class="pb-16">
  <ng-container [formGroup]="form">
    <div class="row">
      <span class="section-title">Period</span>
    </div>

    <div class="row pt-16">
      <div class="col pl-16">
        <mat-form-field [style.height.px]="70" [style.width.px]=250>
          <mat-label>Period</mat-label>
          <mat-date-range-input [rangePicker]="picker">
            <input matStartDate placeholder="From" formControlName="from">
            <input matEndDate placeholder="To" formControlName="to">
          </mat-date-range-input>
          <mat-datepicker-toggle matIconSuffix [for]="picker"></mat-datepicker-toggle>
          <mat-date-range-picker #picker></mat-date-range-picker>
        </mat-form-field>

        <app-error-form [control]="'to'" [form]="form"></app-error-form>
      </div>
    </div>
    <app-bold-divider></app-bold-divider>

    <div class="row pt-16">
      <span class="section-title">Basic days</span>
    </div>
    <ng-container *ngFor="let day of allDays ; let i = index">
      <div class="row">
        <ng-container *ngIf="day != otherDay">
          <div class="row">
            <div class="col text-bold">
              {{day}}:
            </div>
          </div>
          <div class="row left-padding-input">
            <div class="col">
              <mat-form-field [style.width.px]=160 [style.height.px]=66>
                <mat-select formControlName="{{day.toLowerCase()}}" id="{{day.toLowerCase()}}">
                  <input label="Search" type="text" (keyup)="searchDish($event, i)" class="search-input">
                  <mat-option *ngFor="let dish of filteredListDishes[i]" [value]="dish">
                    {{dish.name}}
                  </mat-option>
                </mat-select>
              </mat-form-field>
              <i *ngIf="isDaySelected(day)" class="material-icons remove__icon" (click)="clearSelection(day)">close</i>
            </div>

          </div>
        </ng-container>

<!--        <ng-container *ngIf="day === otherDay">-->
<!--          <app-bold-divider></app-bold-divider>-->

<!--          <div class="row pt-16 pb-8">-->
<!--            <span class="section-title">Other dishes</span>-->
<!--          </div>-->

<!--          <div class="row left-padding-input pb-8">-->
<!--            <div class="col">-->
<!--              <input label="Multi">MULTI DROPDOWN TODO-->
<!--              <span class="color-primary"> Add</span>-->
<!--            </div>-->
<!--          </div>-->
<!--        </ng-container>-->
      </div>
    </ng-container>

  </ng-container>
</div>
<div mat-dialog-actions>
  <button mat-button
          (click)="cancel()">
    Cancel
  </button>
  <button mat-button
          class="color-back-primary text-white"
          (click)="addNew()"
          (keyup.enter)="addNew()">
    Add
  </button>
</div>
